package com.huimv.admin.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.system.entity.ScreenSysMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2022-03-25
 */
@Repository
public interface ScreenMenuMapper extends BaseMapper<ScreenSysMenu> {

    List<ScreenSysMenu> getMyMenuApp(@Param("accountName") String accountName);

    List<String> getMyButton(@Param("userId") Integer userId);
}
