package com.huimv.video.dhicc.test.request.Car.Cn;

import com.alibaba.fastjson.JSON;
import com.huimv.video.dhicc.test.config.OauthConfigBaseInfo03;
import com.huimv.video.dhicc.test.constant.Constant;
import com.huimv.video.dhicc.test.request.BaseRequest03;
import com.huimv.video.dhicc.test.utils.HttpURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.HttpsURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.UrlUtil;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class ClientCarDeleteRequestCn extends BaseRequest03<Object> {


    private String id;


    public ClientCarDeleteRequestCn() {
    }

    public ClientCarDeleteRequestCn(OauthConfigBaseInfo03 oauthConfigBaseInfo) {
        super(oauthConfigBaseInfo, Constant.HTTP_GET, oauthConfigBaseInfo.getHttpConfigInfo().getPrefixUrl() + Constant.CAR_LIST_DELETE, true);
    }

    @Override
    public Object doAction() {
        //重置url信息，替换版本号
        this.setUrl(UrlUtil.dealVersion(this.getUrl()));
        //设置请求参数
        this.setUrl(this.getUrl().replace("{id}",id));
        //发送请求
        String res = isEnableHttpTest() ? HttpURLConnectionUtil.doGet03(this) : HttpsURLConnectionUtil.doGet03(this);

        System.out.println(res);

        return res;
    }

    private void setBody() {
        //设置请求参数
        Map<String, Object> map = new HashMap<>();
        map.put("id", this.id);
        this.setBody(JSON.toJSONString(map));

    }


    public boolean isEnableHttpTest() {
        return super.getOauthConfigBaseInfo().getHttpConfigInfo().isEnableHttpTest();
    }
}
