package com.huimv.eartag;

import com.huimv.eartag.server.EartagServer;
import com.huimv.eartag.server.EartagServer2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@MapperScan("com.huimv.eartag.mapper")
@EnableScheduling
public class HuimvEartagApplication {
    public static void main(String[] args) throws InterruptedException {
//        SpringApplication.run(HuimvEartagApplication.class, args);
        ApplicationContext applicationContext = SpringApplication.run(HuimvEartagApplication.class, args);
        //
        applicationContext.getBean(EartagServer.class).run2();
        //
//        applicationContext.getBean(EartagServer2.class).run();
    }
}
