package com.huimv.video.dhicc.test.response;

import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * 响应基类
 */
@AllArgsConstructor
@Data
public class BaseResponse {
    /** 结果原报文 */
    private String result;
    /** 请求ID */
    private String requestId;
    /** 返回状态码 */
    private String code;
    /** 是否成功 */
    private boolean success;
    /** 错误信息 */
    private String errMsg;
    /** 用于构建错误描述的参数 **/
    private Object args;

    public BaseResponse(){}

    public BaseResponse(String code, String errMsg, boolean success){
        this.code = code;
        this.errMsg = errMsg;
        this.success = success;
    }
}
